title GCB/VANS安裝精靈 V1.0
@echo off
cd /d %~dp0
cls

set hour=%time:~0,2%
if %hour% LSS 10 (set hour=0%time:~1,1%)
set filename=%date:~0,4%%date:~5,2%%date:~8,2%_%hour%%time:~3,2%%time:~6,2%

echo ===============================================================
echo •                    如何確認使用者名稱                                     
echo Administrator 及 Guest 皆為Windows內建帳戶，依照GCB規範皆需停用
echo 請確認當前使用之使用者非上述帳戶 
echo 接下來會將裝置的相關資訊輸出到%filename%.log，請將該檔案回傳給
echo 資訊中心GCB負責人
echo •
echo =============================================================== &&pause
echo =============================================================== >%filename%.log
echo       裝置名稱                                                  >>%filename%.log
echo =============================================================== >>%filename%.log
echo •                                                              >>%filename%.log
hostname                                                             >>%filename%.log
echo •                                                              >>%filename%.log
echo •                                                              >>%filename%.log
echo =============================================================== >>%filename%.log
echo       使用者名稱                                                >>%filename%.log
echo =============================================================== >>%filename%.log
echo •                                                              >>%filename%.log
echo %username%                                                      >>%filename%.log
echo •                                                              >>%filename%.log
echo •                                                              >>%filename%.log
echo      網路介面卡使用之IP位址                                     >>%filename%.log
echo =============================================================== >>%filename%.log
echo •                                                              >>%filename%.log                      
ipconfig                                                             >>%filename%.log
echo •                                                              >>%filename%.log
echo 已將裝置資訊輸出到%filename%.log
echo =============================================================== &&pause


CHOICE /C NY /M  "是否要進行GCB/VANS軟體安裝？  是，我要安裝（Y）、不安裝並離開（N）" 

if ERRORLEVEL 2 goto install
if ERRORLEVEL 1 exit
pause

:install
echo •
echo •
echo       正在啟動安裝程式••••
start DSWAgent-agent.msi
echo       請依指示安裝••••
echo       安裝完成後請回報以下資訊：
echo       裝置使用人姓名與工號、所屬部門、裝置保管人姓名與工號
echo       並將%filename%.log回傳給資訊中心
echo •
ReadMe.txt
pause





